Subject: Re: [PATCH 1/2] doc: recommend lore.kernel.org over public-inbox.org

From: Eric Wong <[email-masked]>
Date: Thu, 28 Nov 2019 19:48:29 +0000

Johannes Schindelin <[email-masked]> wrote:
> On Wed, 27 Nov 2019, Eric Wong wrote:
> > The "0" is the "epoch", and larger repos have multiple epochs,
> > roughly 1GB each. https://lore.kernel.org/lkml/ has 0..7, right now.
> 
> Okay, so how does that work, is the idea that you should graft them
> together using replacement objects if you want to have the full archive?

Yes.  Except we don't actually use grafts/replace and users can
currently only clone the latest epoch of LKML.  In the future,
it should also be easy to jettison old epochs if space is
limited.

> And: if I want to track the latest mails in GitGitGadget, what indication
> will I have that I'll need to switch to `.../1`?

You can use the gzipped JSON grokmirror manifest at:
https://lore.kernel.org/git/manifest.js.gz

grokmirror could be a bit of a pain to install because of Python
dependencies, so periodically attempting to clone the next
numbered epoch ought to be fine, too.

I've also considered adding epoch info into
https://lore.kernel.org/git/_/text/config/raw
so shell scripters w/o JSON parsers can use "git config"